Loading...
Searching...
No Matches
BALL::BondOrderAssignmentStrategy Class Referenceabstract

Base class for bond order assignment algorithms. More...

`#include <BALL/STRUCTURE/BONDORDERS/bondOrderAssignmentStrategy.h>`

Inheritance diagram for BALL::BondOrderAssignmentStrategy:

## Public Member Functions

| BondOrderAssignmentStrategy (AssignBondOrderProcessor *parent)
virtual boost::shared_ptr< BondOrderAssignment > | computeNextSolution ()=0
virtual bool | readOptions (const Options &options)
virtual void | setDefaultOptions ()
virtual void | clear ()
virtual void | init ()=0

## Public Attributes

AssignBondOrderProcessor * | abop
| Our parent processor.

## Detailed Description

Base class for bond order assignment algorithms.

This class forms the base of a hierarchy of solution strategies for the bond order assignment problem. In itself, the class is not terribly useful. Instead, it defines the interface for the algorithms used by the AssignBondOrderProcessor which follows the strategy pattern.

Definition at line 26 of file bondOrderAssignmentStrategy.h.

## Constructor & Destructor Documentation

## BondOrderAssignmentStrategy()

BALL::BondOrderAssignmentStrategy::BondOrderAssignmentStrategy | ( | AssignBondOrderProcessor * | parent | ) |

## Member Function Documentation

## clear()

virtual void BALL::BondOrderAssignmentStrategy::clear | ( |  | ) |

virtual

Reimplemented in BALL::AStarBondOrderStrategy, BALL::BranchAndBoundBondOrderStrategy, BALL::FPTBondOrderStrategy, BALL::ILPBondOrderStrategy, and BALL::KGreedyBondOrderStrategy.

## computeNextSolution()

virtual boost::shared_ptr< BondOrderAssignment > BALL::BondOrderAssignmentStrategy::computeNextSolution | ( |  | ) |

pure virtual

Implemented in BALL::AStarBondOrderStrategy, BALL::BranchAndBoundBondOrderStrategy, BALL::FPTBondOrderStrategy, BALL::ILPBondOrderStrategy, and BALL::KGreedyBondOrderStrategy.

## init()

virtual void BALL::BondOrderAssignmentStrategy::init | ( |  | ) |

pure virtual

Implemented in BALL::AStarBondOrderStrategy, BALL::BranchAndBoundBondOrderStrategy, BALL::FPTBondOrderStrategy, BALL::ILPBondOrderStrategy, and BALL::KGreedyBondOrderStrategy.

## readOptions()

virtual bool BALL::BondOrderAssignmentStrategy::readOptions | ( | const Options & | options | ) |

virtual

Reimplemented in BALL::AStarBondOrderStrategy, BALL::BranchAndBoundBondOrderStrategy, BALL::FPTBondOrderStrategy, BALL::ILPBondOrderStrategy, and BALL::KGreedyBondOrderStrategy.

## setDefaultOptions()

virtual void BALL::BondOrderAssignmentStrategy::setDefaultOptions | ( |  | ) |

virtual

Reimplemented in BALL::AStarBondOrderStrategy, BALL::BranchAndBoundBondOrderStrategy, BALL::FPTBondOrderStrategy, BALL::ILPBondOrderStrategy, and BALL::KGreedyBondOrderStrategy.

## Member Data Documentation

## abop

AssignBondOrderProcessor* BALL::BondOrderAssignmentStrategy::abop

Our parent processor.

Definition at line 38 of file bondOrderAssignmentStrategy.h.